Skip to content

Preview newsletter channel

GET
/cms/channel/{channel_id}/preview
curl --request GET \
--url https://api.example.com/cms/channel/1/preview \
--header 'API-Key: <API-Key>'

Returns a preview of a newsletter or email channel

channel_id
required
integer

Preview HTML and channel data

Media typeapplication/json
object
error
boolean
html
string
data
Channel

API representation of a channel

object
id

Channel ID (numeric string)

string
name

Channel name

string
image

Channel image

string
description

Channel description

string
nullable
objectType

Object type

string
configuration

Channel configuration

object

Example

{
"data": {
"id": "1"
}
}

Channel is not public or is not a newsletter/email channel

Channel not found